grab_cache_page_nowait
Prev | More Memory Management Functions | Next

## Name

grab_cache_page_nowait — returns locked page at given index in given cache

## Synopsis

`struct page * grab_cache_page_nowait (` | struct address_space * | mapping,
| pgoff_t | index`)`;

## Arguments

`mapping`

  target address_space

`index`

  the page index

## Description

Same as `grab_cache_page`, but do not wait if the page is unavailable. This is intended for speculative data generators, where the data can be regenerated if the page couldn't be grabbed. This routine should be safe to call while holding the lock for another page.

Clear __GFP_FS when allocating the page to avoid recursion into the fs and deadlock against the caller's locked page.

Prev | Up | Next
find_get_pages_tag | Home | generic_file_aio_read